MONGOC_STREAM_FILE_NEW_FOR_PATH(3)

NAME
mongoc_stream_file_new_for_path() - This function shall create a new mongoc_stream_file_t after opening the underlying file with open() or the platform equivalent.

SYNOPSIS

mongoc_stream_t *
mongoc_stream_file_new_for_path (const char *path,
                                 int         flags,
                                 int         mode);

PARAMETERS

path
    The path of the target file.

flags
    Flags to be passed to open(3) \&.

mode
    An optional mode to be passed to open(3) when creating a file.

This function shall create a new mongoc_stream_file_t after opening the underlying file with open(3) or the platform equivalent.

RETURNS

NULL on failure, otherwise a newly allocated mongoc_stream_file_t that should be freed with mongoc_stream_destroy(3) when no longer in use.

errno is set upon failure.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.